Package org.apache.sling.testing.clients.util.poller

# Class PathPoller

java.lang.Object
org.apache.sling.testing.clients.util.poller.AbstractPoller
org.apache.sling.testing.clients.util.poller.PathPoller

All Implemented Interfaces:
  `Poller`

@Deprecated public class PathPoller extends AbstractPoller
Deprecated.
Allows polling for a resource

## Constructor Summary

Constructors
Constructor
Description
`PathPoller(AbstractSlingClient client, String path, long waitInterval, long waitCount, int... expectedStatus)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`call()`
Deprecated.
`boolean`
`condition()`
Deprecated.
`Exception`
`getException()`
Deprecated.

### Methods inherited from class org.apache.sling.testing.clients.util.poller.AbstractPoller

`callAndWait, callUntilCondition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathPoller

public PathPoller(AbstractSlingClient client, String path, long waitInterval, long waitCount, int... expectedStatus)
Deprecated.

## Method Details

### call

public boolean call()
Deprecated.

### condition

public boolean condition()
Deprecated.

### getException

public Exception getException()
Deprecated.